import request from '@/utils/request'

// 查询课堂评论列表
export function listUserCourseComment(query) {
  return request({
    url: '/course/userCourseComment/list',
    method: 'get',
    params: query
  })
}

// 查询课堂评论详细
export function getUserCourseComment(commentId) {
  return request({
    url: '/course/userCourseComment/' + commentId,
    method: 'get'
  })
}

// 新增课堂评论
export function addUserCourseComment(data) {
  return request({
    url: '/course/userCourseComment',
    method: 'post',
    data: data
  })
}

// 修改课堂评论
export function updateUserCourseComment(data) {
  return request({
    url: '/course/userCourseComment',
    method: 'put',
    data: data
  })
}

// 删除课堂评论
export function delUserCourseComment(commentId) {
  return request({
    url: '/course/userCourseComment/' + commentId,
    method: 'delete'
  })
}

// 导出课堂评论
export function exportUserCourseComment(query) {
  return request({
    url: '/course/userCourseComment/export',
    method: 'get',
    params: query
  })
}